import { ObservableList } from "@cmmn/cell";
import { CRuntime, CValueList } from "@collabs/collabs";
export declare class SyncArray<T> extends ObservableList<T> {
    private doc;
    private array;
    constructor(doc: CRuntime, array: CValueList<T>);
    private readonly subscriptions;
    protected subscribe(eventName: any): void;
    protected unsubscribe(eventName: any): void;
}
